scala.math.Numeric

# BigDecimalAsIfIntegral

#### trait BigDecimalAsIfIntegral extends BigDecimalIsConflicted with Integral[BigDecimal]

Source
  Numeric.scala

Linear Supertypes
Integral[BigDecimal], BigDecimalIsConflicted, Numeric[BigDecimal], Ordering[BigDecimal], Serializable, Serializable, PartialOrdering[BigDecimal], Equiv[BigDecimal], Comparator[BigDecimal], AnyRef, Any
Known Subclasses
BigDecimalAsIfIntegral
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. BigDecimalAsIfIntegral
2. Integral
3. BigDecimalIsConflicted
4. Numeric
5. Ordering
6. Serializable
7. Serializable
8. PartialOrdering
9. Equiv
10. Comparator
11. AnyRef
12. Any

Visibility

1. Public
2. All

### Type Members

1. #### class IntegralOps extends Ops

2. #### class Ops extends AnyRef

   This inner class defines comparison operators available for `T`.

### Abstract Value Members

1. #### abstract def compare(x: BigDecimal, y: BigDecimal): Int

   Returns an integer whose sign communicates how x compares to y.

   Returns an integer whose sign communicates how x compares to y.

   The result sign has the following meaning:

   - negative if x < y
   - positive if x > y
   - zero otherwise (if x == y)
   Definition Classes
     Ordering → Comparator

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### def abs(x: BigDecimal): BigDecimal

   Definition Classes
     Numeric

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

8. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()
   Note

     not specified by SLS as a member of AnyRef

9. #### final def eq(arg0: AnyRef): Boolean

   Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

   Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

   The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

   - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
   - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
   - `null.eq(null)` returns `true`.

   When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

   returns

     `true` if the argument is a reference to the receiver object; `false` otherwise.

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

11. #### def equiv(x: BigDecimal, y: BigDecimal): Boolean

    Return true if `x` == `y` in the ordering.

    Return true if `x` == `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering → Equiv

12. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

13. #### def fromInt(x: Int): BigDecimal

    Definition Classes
      BigDecimalIsConflicted → Numeric

14. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

15. #### def gt(x: BigDecimal, y: BigDecimal): Boolean

    Return true if `x` > `y` in the ordering.

    Return true if `x` > `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering

16. #### def gteq(x: BigDecimal, y: BigDecimal): Boolean

    Return true if `x` >= `y` in the ordering.

    Return true if `x` >= `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering

17. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

19. #### def lt(x: BigDecimal, y: BigDecimal): Boolean

    Return true if `x` < `y` in the ordering.

    Return true if `x` < `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering

20. #### def lteq(x: BigDecimal, y: BigDecimal): Boolean

    Return true if `x` <= `y` in the ordering.

    Return true if `x` <= `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering

21. #### def max(x: BigDecimal, y: BigDecimal): BigDecimal

    Return `x` if `x` >= `y`, otherwise `y`.

    Return `x` if `x` >= `y`, otherwise `y`.

    Definition Classes
      Ordering

22. #### def min(x: BigDecimal, y: BigDecimal): BigDecimal

    Return `x` if `x` <= `y`, otherwise `y`.

    Return `x` if `x` <= `y`, otherwise `y`.

    Definition Classes
      Ordering

23. #### def minus(x: BigDecimal, y: BigDecimal): BigDecimal

    Definition Classes
      BigDecimalIsConflicted → Numeric

24. #### implicit def mkNumericOps(lhs: BigDecimal): IntegralOps

    Definition Classes
      Integral → Numeric

25. #### implicit def mkOrderingOps(lhs: BigDecimal): Ops

    This implicit method augments `T` with the comparison operators defined in `scala.math.Ordering.Ops`.

    This implicit method augments `T` with the comparison operators defined in `scala.math.Ordering.Ops`.

    Definition Classes
      Ordering

26. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

27. #### def negate(x: BigDecimal): BigDecimal

    Definition Classes
      BigDecimalIsConflicted → Numeric

28. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

29. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

30. #### def on[U](f: (U) ⇒ BigDecimal): Ordering[U]

    Given f, a function from U into T, creates an Ordering[U] whose compare function is equivalent to:

    Given f, a function from U into T, creates an Ordering[U] whose compare function is equivalent to:

        def compare(x:U, y:U) = Ordering[T].compare(f(x), f(y))

    Definition Classes
      Ordering

31. #### def one: BigDecimal

    Definition Classes
      Numeric

32. #### def plus(x: BigDecimal, y: BigDecimal): BigDecimal

    Definition Classes
      BigDecimalIsConflicted → Numeric

33. #### def quot(x: BigDecimal, y: BigDecimal): BigDecimal

    Definition Classes
      BigDecimalAsIfIntegral → Integral

34. #### def rem(x: BigDecimal, y: BigDecimal): BigDecimal

    Definition Classes
      BigDecimalAsIfIntegral → Integral

35. #### def reverse: Ordering[BigDecimal]

    Return the opposite ordering of this one.

    Return the opposite ordering of this one.

    Definition Classes
      Ordering → PartialOrdering

36. #### def signum(x: BigDecimal): Int

    Definition Classes
      Numeric

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def times(x: BigDecimal, y: BigDecimal): BigDecimal

    Definition Classes
      BigDecimalIsConflicted → Numeric

39. #### def toDouble(x: BigDecimal): Double

    Definition Classes
      BigDecimalIsConflicted → Numeric

40. #### def toFloat(x: BigDecimal): Float

    Definition Classes
      BigDecimalIsConflicted → Numeric

41. #### def toInt(x: BigDecimal): Int

    Definition Classes
      BigDecimalIsConflicted → Numeric

42. #### def toLong(x: BigDecimal): Long

    Definition Classes
      BigDecimalIsConflicted → Numeric

43. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

44. #### def tryCompare(x: BigDecimal, y: BigDecimal): Some[Int]

    Returns whether a comparison between `x` and `y` is defined, and if so the result of `compare(x, y)`.

    Returns whether a comparison between `x` and `y` is defined, and if so the result of `compare(x, y)`.

    Definition Classes
      Ordering → PartialOrdering

45. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

46. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

47. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

48. #### def zero: BigDecimal

    Definition Classes
      Numeric

### Inherited from Integral[BigDecimal]

### Inherited from BigDecimalIsConflicted

### Inherited from Numeric[BigDecimal]

### Inherited from Ordering[BigDecimal]

### Inherited from Serializable

### Inherited from PartialOrdering[BigDecimal]

### Inherited from Equiv[BigDecimal]

### Inherited from Comparator[BigDecimal]

### Inherited from AnyRef

### Inherited from Any